# pydicom.filebase.DicomBytesIO

class `pydicom.filebase.``DicomBytesIO`(*args, **kwargs)
  `__init__`(*args, **kwargs)

    Initialize self. See help(type(self)) for accurate signature.

  Methods

  `__init__`(*args, **kwargs) | Initialize self.
  `getvalue`() |
  `no_read`(bytes_read) | Used for file-like objects where no read is available
  `no_seek`(offset, from_what) | Used for file-like objects where no seek is available
  `no_write`(bytes_read) | Used for file-like objects where no write is available
  `read`([length, need_exact_length]) | Reads the required length, returns EOFError if gets less
  `read_beUL`() | Return an unsigned long read with big endian byte order
  `read_beUS`() | Return an unsigned short from the file with big endian byte order
  `read_be_tag`() | Read and return two unsigned shorts (big endian) from the file.
  `read_leUL`() | Return an unsigned long read with little endian byte order
  `read_leUS`() | Return an unsigned short from the file with little endian byte order
  `read_le_tag`() | Read and return two unsigned shorts (little endian) from the file.
  `write_UL`(val) | Write an unsigned long with little endian byte order
  `write_US`(val) | Write an unsigned short with little endian byte order
  `write_beUL`(val) | Write an unsigned long with big endian byte order
  `write_beUS`(val) | Write an unsigned short with big endian byte order
  `write_leUL`(val) | Write an unsigned long with little endian byte order
  `write_leUS`(val) | Write an unsigned short with little endian byte order
  `write_tag`(tag) | Write a dicom tag (two unsigned shorts) to the file.

  Attributes

  `defer_size` |
  `is_implicit_VR` |
  `is_little_endian` |
  `max_read_attempts` |